Home page logo
/

nmap-dev logo Nmap Development mailing list archives

Re: NPPTools.dll missing error in Vista
From: "Gianluca Varenni" <gianluca.varenni () gmail com>
Date: Sat, 22 Dec 2007 08:44:56 -0800

I haven't checked the nsis documentation, but compatibility mode in general has nothing to do with the 
requestExecutionLevel attribute that you set in the manifest of an executable. That attribute has to do with UAC, and 
basically forces windows to pop-up the dialog asking you to allow elevated privileges for the execution of a binary 
when UAC is enabled.

Have a nice day
GV

PS. I wish i could replicate the winpcap installer problem, and try this nsis setting :-(
  ----- Original Message ----- 
  From: jah 
  To: Gianluca Varenni 
  Cc: nmap-dev () insecure org 
  Sent: Friday, December 21, 2007 11:44 AM
  Subject: Re: NPPTools.dll missing error in Vista


  On 20/12/2007 20:13, Gianluca Varenni wrote:

The only reason that I found so far is that the installer on Vista was run in "windows XP 
compatibility mode", causing the wrong files to be installed. It might be worth trying out the NSIS installer attribute 
named RequestExecutionLevel [1] and setting it to highest:

    RequestExecutionLevel "highest"

  which may well prevent nmap-winpcap from installing in compatibilty mode, but will require elevated privileges to do 
so.


  jah


  [1]  RequestExecutionLevel - http://nsis.sourceforge.net/Docs/Chapter4.html#4.8.1.32

_______________________________________________
Sent through the nmap-dev mailing list
http://cgi.insecure.org/mailman/listinfo/nmap-dev
Archived at http://SecLists.Org


  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault